Veritas Cluster Server 6.0.2 does not support rolling upgrades

Problem

If you try to perform a rolling upgrade in a Veritas™ Cluster Server (VCS) deployment from version 5.1 or later  to version 6.0.2, the rolling upgrade fails. The installer logs an error message related to an “undefined command”.

Error Message

CPI ERROR V-9-0-0 appears. Following is an example of the error message:

undefined cmd substitution:
_cmd_fsclustadm protoversion 2>&1 | /bin/grep 'local' | awk '{print $3}'
sys=lvxapor05ts01
padv=RHEL5x8664
padvisa=Padv::RHEL5x8664=HASH(0x1a1f3358)

Cause

This is a limitation, not an error.
If you try to perform the rolling upgrade, the Common Product Installer (CPI) lets you proceed with the installer sequence, but logs the stated error.

Solution

Perform a full upgrade to VCS 6.0.2 instead of a rolling upgrade.


Applies To

Guests (virtual machines) running Linux in a VMware ESX/ESXi cluster.

Terms of use for this information are found in Legal Notices.

Search

Survey

Did this article answer your question or resolve your issue?

No
Yes

Did this article save you the trouble of contacting technical support?

No
Yes

How can we make this article more helpful?

Email Address (Optional)